package king.logical.fol;

import java.util.HashSet;
import java.util.Set;

public class FOL_Constant extends FOL_Object{
	
	public Set<String> properties = new HashSet<String>();
	
	public FOL_Constant(String name){
		super(name);
		type = Type.CONSTANT;
	}
	
	public boolean hasProperty(String property){
		return properties.contains(property);
	}
	
	public void addProperty(String property){
		properties.add(property);
	}
	
	public void removePropert(String property){
		properties.remove(property);
	}
}
