package king.logical.fol;

import java.util.HashMap;
import java.util.Map;

public class FOL_KnowledgeBase {
	private Map<String,FOL_Constant> constants = new HashMap<String,FOL_Constant>();
	private Map<String,FOL_Function> functions = new HashMap<String,FOL_Function>();
	
	public FOL_KnowledgeBase(){
		
	}
	
	public void registerConstant(String name){
		if(!constants.containsKey(name))
			constants.put(name, new FOL_Constant(name));
	}
	
	public void registerFunction(String name){
		if(!functions.containsKey(name))
			functions.put(name, new FOL_Function(name));
	}
	
	public FOL_Constant getConstant(String name){
		return constants.get(name);
	}
	
	public boolean isConstant(String obj){
		return constants.containsKey(obj);
	}
	
	
	
}
