package king.logical.fol;

public abstract class FOL_Object {

	public enum Type{CONSTANT,VARIABLE,FUNCTION,PREDICATE};
	public Type type;
	public String name;
	
	public FOL_Object(String name){
		this.name = name;
	}
	
	public boolean isConstant(){
		return type == Type.CONSTANT;
	}
	
	public boolean isVariable(){
		return type == Type.VARIABLE;
	}
	
	public boolean isFunction(){
		return type == Type.FUNCTION;
	}
	
	public boolean isPredicate(){
		return type == Type.PREDICATE;
	}
	
	public boolean hasProperty(String property){
		return false;
	}
	
	public void addProperty(String property){}
	public void removeProperty(String property){}
	
}
