package king.logical;


public abstract class Logic {

	public static LogicalObject literal(String name,Boolean value){
		return LogicalObject.newLiteral(name, value);
	}
	
	public static LogicalObject literal(String name){
		return LogicalObject.newLiteral(name, true);
	}
	
	public static LogicalObject conjunction(LogicalObject[] list){
		return LogicalObject.newConjunction(list);
	}
	
	public static LogicalObject disjunction(LogicalObject[] list){
		return LogicalObject.newDisjunction(list);
	}
	
	public static LogicalObject implication(LogicalObject left, LogicalObject right){
		return LogicalObject.newImplication(left, right);
	}
	
	public static LogicalObject biconditional(LogicalObject left, LogicalObject right){
		return LogicalObject.newBiconditional(left, right);
	}
	
	public static LogicalObject implication(LogicalObject[] list){
		return LogicalObject.newImplication(list[0], list[1]);
	}
	
	public static LogicalObject biconditional(LogicalObject[] list){
		return LogicalObject.newBiconditional(list[0], list[1]);
	}
	
}
