
//Kevin Phan 80624766
//Kevin Chau 76934313

package king;

import java.awt.Point;
import java.util.Random;
import java.util.Set;
import java.util.Stack;
import java.util.Map;
import java.util.HashMap;

public class DummyAgent extends Agent{
	
	public DummyAgent() {
		super("Dummy Agent");
	}

	public Set<Percept> percSet;
	public Point pos = new Point(1,1);
	private Random rand = new Random();
	
	private int rightCount = 0;
	private boolean gold = false;
	private Stack<Point> retrace = new Stack<Point>();
	private Map<Point,Tile> visited_points = new HashMap<Point,Tile>();
	private Tile current_tile = new Tile();
	
	@Override
	public Action GetAction() {
		
		return gold?GoldState():StartState();
	}
	
	private Action StartState(){
		current_tile = new Tile();
		Point check = this.pos;
		if(percSet.contains(Percept.GLITTER)){
			gold = true;
			return Action.PICK_UP;
		}
		if(percSet.contains(Percept.BREEZE)){
			current_tile.breeze = true;
			
			//if what you are facing is the pit then turn right
			if(this.facing == this.pos && visited_points.get(this.pos).pit){
				return Action.TURN_RIGHT;
			}
			
			//check if one over and one down is also a breeze, then right is a pit!
			if(visited_points.containsKey(new Point(check.x+1,check.y+1))){
				current_tile.breeze = false;
				current_tile.pit = true;
				visited_points.put(new Point(check.x+1,check.y+1),current_tile);
			}
				
				
			visited_points.put(this.pos,current_tile);
			if(facing.equals(retrace.peek())){
				retrace.pop();
				return Action.FORWARD;
			}
			this.facing = new Point(facing.y,-facing.x);
			return Action.TURN_RIGHT;
		}
		if(percSet.contains(Percept.STENCH)){
			current_tile.stench = true;
			visited_points.put(this.pos,current_tile);
			if(facing.equals(retrace.peek())){
				retrace.pop();
				return Action.FORWARD;
			}
			this.facing = new Point(facing.y,-facing.x);
			return Action.TURN_RIGHT;
		}
		
		
		System.out.print("breeze:"+current_tile.breeze+"\n");
		System.out.print("stench:"+current_tile.stench+"\n");
		if(--rightCount <= -1){
			rightCount = rand.nextInt(4);
			System.out.print(this.facing);
			return Action.FORWARD;
		}
		this.facing = new Point(facing.y,-facing.x);
		return Action.TURN_RIGHT;
	}
	
	private Action GoldState(){
		if(retrace.isEmpty() || (pos.x==1&&pos.y==1))
			return Action.CLIMB;
		if(facing.equals(retrace.peek())){
			retrace.pop();
			return Action.FORWARD;
		}
		this.facing = new Point(facing.y,-facing.x);
		return Action.TURN_RIGHT;
	}

	@Override
	public void PerceiveResult(Set<Percept> percepts) {
		// TODO Auto-generated method stub
		percSet = percepts;
		if(lastAction == Action.FORWARD && !percepts.contains(Percept.BUMP)){
			if(!gold)
				retrace.push(new Point(-facing.x,-facing.y));
			pos.translate(facing.x, facing.y);
			System.out.println("\npos:"+pos);
			
		}
	}

}
