package king.logical.fol;

import java.util.HashMap;
import java.util.Map;

public class FOL_Function extends FOL_Object {
	
	protected Map<String,String> func_map = new HashMap<String,String>();
	public FOL_Function(String name){
		super(name);
		type = Type.FUNCTION;
	}
	
	public void define(String arg,String ret){
		func_map.put(arg, ret);
	}
	
	public String get(String arg){
		return func_map.get(arg);
	}
	
	public void absorb(FOL_Function other){
		func_map.putAll(other.func_map);
	}
	
}
